Index: trunk/gsdl/macros/english.dm
===================================================================
--- trunk/gsdl/macros/english.dm	(revision 11132)
+++ trunk/gsdl/macros/english.dm	(revision 11155)
@@ -215,6 +215,18 @@
 
 #------------------------------------------------------------
-# icons
-#------------------------------------------------------------
+# icons - these are obsolete, and only used for nav_ns4
+#------------------------------------------------------------
+
+## "HOME" ## top_nav_button ## chome ##
+_httpiconchomeof_ {_httpimg_/chomeof.gif}
+_httpiconchomeon_ {_httpimg_/chomeon.gif}
+
+## "HELP" ## top_nav_button ## chelp ##
+_httpiconchelpof_ {_httpimg_/chelpof.gif}
+_httpiconchelpon_ {_httpimg_/chelpon.gif}
+
+## "PREFERENCES" ## top_nav_button ## cpref ##
+_httpiconcprefof_ {_httpimg_/cprefof.gif}
+_httpiconcprefon_ {_httpimg_/cprefon.gif}
 
 ## "SEND FEEDBACK" ## top_nav_button ## cusab ##
@@ -222,8 +234,204 @@
 _httpiconcusabon_ {_httpimg_/cusabon.gif}
 
-## "help" ## green_title ## h_help ##
-_httpiconhhelp_ {_httpimg_/h\_help.gif}
-_widthhhelp_ {200}
-_heighthhelp_ {57}
+
+## "search" ## nav_bar_button ## tsrch ##
+_httpicontsrchgr_ {_httpimg_/tsrchgr.gif}
+_httpicontsrchof_ {_httpimg_/tsrchof.gif}
+_httpicontsrchon_ {_httpimg_/tsrchon.gif}
+_widthtsrchx_ {87}
+
+
+# Dublin Core Metadata Element Set, Version 1.1
+
+# Not true DC, kept for legacy reasons
+## "titles a-z" ## nav_bar_button ## ttitl ##
+_httpiconttitlegr_ {_httpimg_/ttitlgr.gif}
+_httpiconttitleof_ {_httpimg_/ttitlof.gif}
+_httpiconttitleon_ {_httpimg_/ttitlon.gif}
+_widthttitlex_ {87}
+
+# Not true DC, kept for legacy reasons
+## "authors a-z" ## nav_bar_button ## tauth ##
+_httpicontcreatgr_ {_httpimg_/tauthgr.gif}
+_httpicontcreatof_ {_httpimg_/tauthof.gif}
+_httpicontcreaton_ {_httpimg_/tauthon.gif}
+_widthtcreatx_ {87}
+
+## "subjects" ## nav_bar_button ## tsubj ##
+_httpicontsubjgr_ {_httpimg_/tsubjgr.gif}
+_httpicontsubjon_ {_httpimg_/tsubjon.gif}
+_httpicontsubjof_ {_httpimg_/tsubjof.gif}
+_widthtsubjx_ {87}
+
+## "descriptions" ## nav_bar_button ## tdesc ##
+_httpicontdescgr_ {_httpimg_/tdescgr.gif}
+_httpicontdescon_ {_httpimg_/tdescon.gif}
+_httpicontdescof_ {_httpimg_/tdescof.gif}
+_widthtdescx_ {90}
+
+## "publishers" ## nav_bar_button ## tpubl ##
+_httpicontpublgr_ {_httpimg_/tpublgr.gif}
+_httpicontpublon_ {_httpimg_/tpublon.gif}
+_httpicontpublof_ {_httpimg_/tpublof.gif}
+_widthtpublx_ {87}
+
+## "contributors" ## nav_bar_button ## tcontr ##
+_httpicontcontrgr_ {_httpimg_/tcontrgr.gif}
+_httpicontcontron_ {_httpimg_/tcontron.gif}
+_httpicontcontrof_ {_httpimg_/tcontrof.gif}
+_widthtcontrx_ {89}
+
+## "dates" ## nav_bar_button ## tdate ##
+_httpicontdategr_ {_httpimg_/tdategr.gif}
+_httpicontdateof_ {_httpimg_/tdateof.gif}
+_httpicontdateon_ {_httpimg_/tdateon.gif}
+_widthtdatex_ {87}
+
+## "types" ## nav_bar_button ## ttype ##
+_httpiconttypegr_ {_httpimg_/ttypegr.gif}
+_httpiconttypeof_ {_httpimg_/ttypeof.gif}
+_httpiconttypeon_ {_httpimg_/ttypeon.gif}
+_widthttypex_ {87}
+
+## "formats" ## nav_bar_button ## tform ##
+_httpicontformgr_ {_httpimg_/tformgr.gif}
+_httpicontformof_ {_httpimg_/tformof.gif}
+_httpicontformon_ {_httpimg_/tformon.gif}
+_widthtformx_ {87}
+
+## "identifiers" ## nav_bar_button ## tident ##
+_httpicontidentgr_ {_httpimg_/tidentgr.gif}
+_httpicontidentof_ {_httpimg_/tidentof.gif}
+_httpicontidenton_ {_httpimg_/tidenton.gif}
+_widthtidentx_ {87}
+
+# Not true DC, kept for legacy reasons
+## "filenames" ## nav_bar_button ## tsrc ##
+_httpicontsrcgr_ {_httpimg_/tsrcgr.gif}
+_httpicontsrcof_ {_httpimg_/tsrcof.gif}
+_httpicontsrcon_ {_httpimg_/tsrcon.gif}
+_widthtsrcx_ {87}
+
+## "languages" ## nav_bar_button ## tlang ##
+_httpicontlanggr_ {_httpimg_/tlanggr.gif}
+_httpicontlangon_ {_httpimg_/tlangon.gif}
+_httpicontlangof_ {_httpimg_/tlangof.gif}
+_widthtlangx_ {87}
+
+## "relations" ## nav_bar_button ## trel ##
+_httpicontrelgr_ {_httpimg_/trelgr.gif}
+_httpicontrelon_ {_httpimg_/trelon.gif}
+_httpicontrelof_ {_httpimg_/trelof.gif}
+_widthtrelx_ {87}
+
+## "coverage" ## nav_bar_button ## tcover ##
+_httpicontcovergr_ {_httpimg_/tcovergr.gif}
+_httpicontcoveron_ {_httpimg_/tcoveron.gif}
+_httpicontcoverof_ {_httpimg_/tcoverof.gif}
+_widthtcoverx_ {87}
+
+## "rights" ## nav_bar_button ## tright ##
+_httpicontrightgr_ {_httpimg_/trightgr.gif}
+_httpicontrighton_ {_httpimg_/trighton.gif}
+_httpicontrightof_ {_httpimg_/trightof.gif}
+_widthtrightx_ {87}
+
+
+
+## "series" ## nav_bar_button ## tser ##
+_httpicontsergr_ {_httpimg_/tsergr.gif}
+_httpicontserof_ {_httpimg_/tserof.gif}
+_httpicontseron_ {_httpimg_/tseron.gif}
+_widthtserx_ {87}
+
+## "to" ## nav_bar_button ## tto ##
+_httpiconttogr_ {_httpimg_/ttogr.gif}
+_httpiconttoon_ {_httpimg_/ttoon.gif}
+_httpiconttoof_ {_httpimg_/ttoof.gif}
+_widthttox_ {87}
+
+## "from" ## nav_bar_button ## tfrom ##
+_httpicontfromgr_ {_httpimg_/tfromgr.gif}
+_httpicontfromon_ {_httpimg_/tfromon.gif}
+_httpicontfromof_ {_httpimg_/tfromof.gif}
+_widthtfromx_ {87}
+
+## "organisations" ## nav_bar_button ## torg ##
+_httpicontorggr_ {_httpimg_/torggr.gif}
+_httpicontorgon_ {_httpimg_/torgon.gif}
+_httpicontorgof_ {_httpimg_/torgof.gif}
+_widthtorgx_ {98}
+
+## "how to" ## nav_bar_button ## thow ##
+_httpiconthowgr_ {_httpimg_/thowgr.gif}
+_httpiconthowon_ {_httpimg_/thowon.gif}
+_httpiconthowof_ {_httpimg_/thowof.gif}
+_widththowx_ {87}
+
+## "topic" ## nav_bar_button ## ttopic ##
+_httpiconttopicgr_ {_httpimg_/ttopicgr.gif}
+_httpiconttopicon_ {_httpimg_/ttopicon.gif}
+_httpiconttopicof_ {_httpimg_/ttopicof.gif}
+_widthttopicx_ {87}
+
+## "browse" ## nav_bar_button ## tbrwse ##
+_httpicontbrwsegr_ {_httpimg_/tbrwsegr.gif}
+_httpicontbrwseon_ {_httpimg_/tbrwseon.gif}
+_httpicontbrwseof_ {_httpimg_/tbrwseof.gif}
+_widthtbrwsex_ {87}
+
+## "collage" ## nav_bar_button ## tcoll ##
+_httpicontcollgr_ {_httpimg_/tcollgr.gif}
+_httpicontcollof_ {_httpimg_/tcollof.gif}
+_httpicontcollon_ {_httpimg_/tcollon.gif}
+_widthtcollx_ {87}
+
+## "people" ## nav_bar_button ## tpeop ##
+_httpicontpeopgr_ {_httpimg_/tpeopgr.gif}
+_httpicontpeopof_ {_httpimg_/tpeopof.gif}
+_httpicontpeopon_ {_httpimg_/tpeopon.gif}
+_widthtpeopx_ {97}
+
+## "acronyms" ## nav_bar_button ## tacro ##
+_httpicontacrogr_ {_httpimg_/tacrogr.gif}
+_httpicontacroof_ {_httpimg_/tacroof.gif}
+_httpicontacroon_ {_httpimg_/tacroon.gif}
+_widthtacrox_ {87}
+
+## "phrases" ## nav_bar_button ## tphrse ##
+_httpicontphrsegr_ {_httpimg_/tphrsegr.gif}
+_httpicontphrseof_ {_httpimg_/tphrseof.gif}
+_httpicontphrseon_ {_httpimg_/tphrseon.gif}
+_widthtphrsex_ {87}
+
+## "artists" ## nav_bar_button ## tartst ##
+_httpicontartstgr_ {_httpimg_/tartstgr.gif}
+_httpicontartstof_ {_httpimg_/tartstof.gif}
+_httpicontartston_ {_httpimg_/tartston.gif}
+_widthtartstx_ {87}
+
+## "keywords" ## nav_bar_button ## tkw ##
+_httpicontkwgr_ {_httpimg_/tkwgr.gif}
+_httpicontkwof_ {_httpimg_/tkwof.gif}
+_httpicontkwon_ {_httpimg_/tkwon.gif}
+_widthtkwx_ {87}
+
+## "volumes" ## nav_bar_button ## tvol ##
+_httpicontvolgr_ {_httpimg_/tvolgr.gif}
+_httpicontvolof_ {_httpimg_/tvolof.gif}
+_httpicontvolon_ {_httpimg_/tvolon.gif}
+_widthtvolx_ {87}
+
+## "captions" ## nav_bar_button ## tcapt ##
+_httpicontcaptgr_ {_httpimg_/tcaptgr.gif}
+_httpicontcaptof_ {_httpimg_/tcaptof.gif}
+_httpicontcapton_ {_httpimg_/tcapton.gif}
+_widthtcaptx_ {87}
+
+## "countries" ## nav_bar_button ## tcount ##
+_httpicontcountgr_ {_httpimg_/tcountgr.gif}
+_httpicontcountof_ {_httpimg_/tcountof.gif}
+_httpicontcounton_ {_httpimg_/tcounton.gif}
+_widthtcountx_ {87}
 
 
@@ -248,14 +456,5 @@
 currently using on the Preferences page.}
 
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-## "about" ## green_title ## h_about ##
-_httpiconhabout_ {_httpimg_/h\_about.gif}
-_widthhabout_ {200}
-_heighthabout_ {57}
-
+_titleabout_ {about}
 
 
@@ -271,36 +470,5 @@
 
 # Dublin Core Metadata Element Set, Version 1.1
-_texticonhtitle_ {Titles A-Z}  # Not true DC, kept for legacy reasons
-_texticonhcreat_ {Authors A-Z}  # Not true DC, kept for legacy reasons
-_texticonhsubj_ {Subjects}
-_texticonhdesc_ {Descriptions}
-_texticonhpubl_ {Publishers}
-_texticonhcontr_ {Contributors}
-_texticonhdate_ {Dates}
-_texticonhtype_ {Types}
-_texticonhform_ {Formats}
-_texticonhident_ {Identifiers}
-_texticonhsrc_ {Filenames}  # Not true DC, kept for legacy reasons
-_texticonhlang_ {Languages}
-_texticonhrel_ {Relations}
-_texticonhcover_ {Coverage}
-_texticonhright_ {Rights}
-
-_texticonhcoll_ {Collage}
-_texticonhto_ {To}
-_texticonhfrom_ {From}
-_texticonhser_ {Series}
-_texticonhhow_ {How to}
-_texticonhorg_ {Organizations}
-_texticonhbrwse_ {Browse}
-_texticonhbrows_ {Browse}
-_texticonhpeople_ {People A-Z}
-_texticonhacronym_ {Acronyms}
-_texticonhphrases_ {Phrases}
-_texticonhartist_ {Artists}
-_texticonhkw_ {Keywords}
-_texticonhvol_ {Volumes}
-_texticonhcapt_ {Captions}
-_texticonhcount_ {Countries}
+
 
 _texticonopenbookshelf_ {close this section of the library}
@@ -340,78 +508,48 @@
 
 # Not true DC, kept for legacy reasons
-## "titles a-z" ## green_title ## h_title ##
-_httpiconhtitle_ {_httpimg_/h\_title.gif}
 _widthhtitle_ {200}
 _heighthtitle_ {57}
 
 # Not true DC, kept for legacy reasons
-## "authors a-z" ## green_title ## h_auth ##
-_httpiconhcreat_ {_httpimg_/h\_auth.gif}
 _widthhcreat_ {200}
 _heighthcreat_ {57}
 
-## "subjects" ## green_title ## h_subj ##
-_httpiconhsubj_ {_httpimg_/h\_subj.gif}
 _widthhsubj_ {200}
 _heighthsubj_ {57}
 
-## "descriptions" ## green_title ## h_desc ##
-_httpiconhdesc_ {_httpimg_/h\_desc.gif}
 _widthhdesc_ {200}
 _heighthdesc_ {57}
 
-## "publishers" ## green_title ## h_publ ##
-_httpiconhpubl_ {_httpimg_/h\_publ.gif}
 _widthhpubl_ {200}
 _heighthpubl_ {57}
 
-## "contributors" ## green_title ## h_contr ##
-_httpiconhcontr_ {_httpimg_/h\_contr.gif}
 _widthhcontr_ {200}
 _heighthcontr_ {57}
 
-## "dates" ## green_title ## h_date ##
-_httpiconhdate_ {_httpimg_/h\_date.gif}
 _widthhdate_ {200}
 _heighthdate_ {57}
 
-## "types" ## green_title ## h_type ##
-_httpiconhtype_ {_httpimg_/h\_type.gif}
 _widthhtype_ {200}
 _heighthtype_ {57}
 
-## "formats" ## green_title ## h_form ##
-_httpiconhform_ {_httpimg_/h\_form.gif}
 _widthhform_ {200}
 _heighthform_ {57}
 
-## "identifiers" ## green_title ## h_ident ##
-_httpiconhident_ {_httpimg_/h\_ident.gif}
 _widthhident_ {200}
 _heighthident_ {57}
 
 # Not true DC, kept for legacy reasons
-## "filenames" ## green_title ## h_src ##
-_httpiconhsrc_ {_httpimg_/h\_src.gif}
 _widthhsrc_ {200}
 _heighthsrc_ {57}
 
-## "languages" ## green_title ## h_lang ##
-_httpiconhlang_ {_httpimg_/h\_lang.gif}
 _widthhlang_ {200}
 _heighthlang_ {57}
 
-## "relations" ## green_title ## h_rel ##
-_httpiconhrel_ {_httpimg_/h\_rel.gif}
 _widthhrel_ {200}
 _heighthrel_ {57}
 
-## "coverage" ## green_title ## h_cover ##
-_httpiconhcover_ {_httpimg_/h\_cover.gif}
 _widthhcover_ {200}
 _heighthcover_ {57}
 
-## "rights" ## green_title ## h_right ##
-_httpiconhright_ {_httpimg_/h\_right.gif}
 _widthhright_ {200}
 _heighthright_ {57}
@@ -419,81 +557,49 @@
 
 
-## "to" ## green_title ## h_to ##
-_httpiconhto_ {_httpimg_/h\_to.gif}
 _widthhto_ {200}
 _heighthto_ {57}
 
-## "from" ## green_title ## h_from ##
-_httpiconhfrom_ {_httpimg_/h\_from.gif}
 _widthhfrom_ {200}
 _heighthfrom_ {57}
 
-## "series" ## green_title ## h_ser ##
-_httpiconhser_ {_httpimg_/h\_ser.gif}
 _widthhser_ {200}
 _heighthser_ {57}
 
-## "how to" ## green_title ## h_how ##
-_httpiconhhow_ {_httpimg_/h\_how.gif}
 _widthhhow_ {200}
 _heighthhow_ {57}
 
-## "topics" ## green_title ## h_topic ##
-_httpiconhtopic_ {_httpimg_/h\_topic.gif}
 _widthhtopic_ {200}
 _heighthtopic_ {57}
 
-## "organization" ## green_title ## h_org ##
-_httpiconhorg_ {_httpimg_/h\_org.gif}
 _widthhorg_ {200}
 _heighthorg_ {57}
 
-## "browse" ## green_title ## h_brwse ##
-_httpiconhbrwse_ {_httpimg_/h\_brwse.gif}
 _widthhbrwse_ {200}
 _heighthbrwse_ {57}
 
-## "collage" ## green_title ## h_coll ##
-_httpiconhcoll_ {_httpimg_/h\_coll.gif}
 _widthhcoll_ {200}
 _heighthcoll_ {57}
 
-## "people" ## green_title ## h_people ##
-_httpiconhpeople_ {_httpimg_/h\_people.gif}
 _widthhpeople_ {200}
 _heighthpeople_ {57}
 
-## "acronyms" ## green_title ## h_acro ##
-_httpiconhacronym_ {_httpimg_/h\_acro.gif}
 _widthhacronym_ {200}
 _heighthacronym_ {57}
 
-## "phrases" ## green_title ## h_phrse ##
-_httpiconhphrse_ {_httpimg_/h\_phrse.gif}
 _widthhphrse_ {200}
 _heighthphrse_ {57}
 
-## "artists" ## green_title ## h_artist ##
-_httpiconhartist_ {_httpimg_/h\_artist.gif}
 _widthhartist_ {200}
 _heighthartist_ {57}
 
-## "keywords" ## green_title ## h_kw ##
-_httpiconhkw_ {_httpimg_/h\_kw.gif}
 _widthhkw_ {200}
 _heighthkw_ {57}
 
-## "volumes" ## green_title ## h_vol ##
-_httpiconhvol_ {_httpimg_/h\_vol.gif}
 _widthhvol_ {200}
 _heighthvol_ {57}
 
-## "countries" ## green_title ## h_count ##
-_httpiconhcount_ {_httpimg_/h\_count.gif}
 _widthhcount_ {200}
 _heighthcount_ {57}
 
-## "captions" ## green_title ## h_capt ##
-_httpiconhcapt_ {_httpimg_/h\_capt.gif}
 _widthhcapt_ {200}
 _heighthcapt_ {57}
@@ -533,5 +639,5 @@
 _textnoquerytitle_ {Search page}
 
-_texticonthispage_ {search}
+_labelSearch_ {search}
 _textsome_ {some}
 _textall_ {all}
@@ -619,8 +725,4 @@
 #------------------------------------------------------------
 
-## "search" ## green_title ## h_search ##
-_httpiconhsearch_ {_httpimg_/h\_search.gif}
-_widthhsearch_ {200}
-_heighthsearch_ {57}
 
 ## "results" ## green_bar_left_aligned ## qryresb ##
@@ -707,6 +809,4 @@
 #------------------------------------------------------------
 
-## "preferences" ## green_title ## h_pref ##
-_httpiconhpref_ {_httpimg_/h\_pref.gif}
 _widthhpref_ {200}
 _heighthpref_ {57}