Index: /trunk/gsdl/macros/armenian.dm
===================================================================
--- /trunk/gsdl/macros/armenian.dm	(revision 11156)
+++ /trunk/gsdl/macros/armenian.dm	(revision 11157)
@@ -429,5 +429,4 @@
 _textnoquerytitle_ [l=hy] {ÕÕ¶Õ¿ÖÕŽÕ¡Õ¶ Õ§Õ»}
 
-_labelSearch_ [l=hy] {ÖÕ¶Õ¿ÖÕžÖÕŽ}
 _textsome_ [l=hy] {ÕžÖÕžÕ·}
 _textall_ [l=hy] {Õ¢ÕžÕ¬ÕžÖÕš}
Index: /trunk/gsdl/macros/chinese-trad.dm
===================================================================
--- /trunk/gsdl/macros/chinese-trad.dm	(revision 11156)
+++ /trunk/gsdl/macros/chinese-trad.dm	(revision 11157)
@@ -418,5 +418,4 @@
 _textnoquerytitle_ [l=zh-tr] {æå°é é¢}
 
-_labelSearch_ [l=zh-tr] {æå°}
 _textsome_ [l=zh-tr] {éšå}
 _textall_ [l=zh-tr] {å
Index: /trunk/gsdl/macros/croatian.dm
===================================================================
--- /trunk/gsdl/macros/croatian.dm	(revision 11156)
+++ /trunk/gsdl/macros/croatian.dm	(revision 11157)
@@ -428,5 +428,4 @@
 _textnoquerytitle_ [l=hr] {PretraÅŸivanje}
 
-_labelSearch_ [l=hr] {traÅŸi}
 _textsome_ [l=hr] {_If_(_cgiargb_,nizane,neke)}
 _textall_ [l=hr] {_If_(_cgiargb_,booleove,sve)}
Index: /trunk/gsdl/macros/czech.dm
===================================================================
--- /trunk/gsdl/macros/czech.dm	(revision 11156)
+++ /trunk/gsdl/macros/czech.dm	(revision 11157)
@@ -416,5 +416,4 @@
 _textnoquerytitle_ [l=cs] {VyhledÃ¡vacÃ­ strana}
 
-_labelSearch_ [l=cs] {hledej}
 _textsome_ [l=cs] {nÄkterÃ¡}
 _textall_ [l=cs] {vÅ¡echny}
Index: /trunk/gsdl/macros/dutch.dm
===================================================================
--- /trunk/gsdl/macros/dutch.dm	(revision 11156)
+++ /trunk/gsdl/macros/dutch.dm	(revision 11157)
@@ -434,5 +434,4 @@
 _textnoquerytitle_ [l=nl] {Zoek pagina}
 
-_labelSearch_ [l=nl] {doorzoeken van}
 _textsome_ [l=nl] {somige}
 _textall_ [l=nl] {alle}
Index: /trunk/gsdl/macros/english.dm
===================================================================
--- /trunk/gsdl/macros/english.dm	(revision 11156)
+++ /trunk/gsdl/macros/english.dm	(revision 11157)
@@ -121,7 +121,4 @@
 _textdescrCountries_ {Browse by countries}
 _textdescrCaptions_ {Browse by photo captions}
-
-
-_labelSearch_ {Search}
 
 # Dublin Core Metadata Element Set, Version 1.1
Index: /trunk/gsdl/macros/farsi.dm
===================================================================
--- /trunk/gsdl/macros/farsi.dm	(revision 11156)
+++ /trunk/gsdl/macros/farsi.dm	(revision 11157)
@@ -535,5 +535,4 @@
 _textnoquerytitle_ [l=fa] {ØµÙØ¬Ù Ø¬Ø³ØªØ¬Ù}
 
-_labelSearch_ [l=fa] {Ø¬Ø³ØªØ¬Ù}
 _textsome_ [l=fa] {ØšØ¹Ø¶Ù}
 _textall_ [l=fa] {ÙÙ
Index: /trunk/gsdl/macros/finnish.dm
===================================================================
--- /trunk/gsdl/macros/finnish.dm	(revision 11156)
+++ /trunk/gsdl/macros/finnish.dm	(revision 11157)
@@ -417,5 +417,4 @@
 _textnoquerytitle_ [l=fi] {Hakusivu}
 
-_labelSearch_ [l=fi] {haku}
 _textsome_ [l=fi] {joitain}
 _textall_ [l=fi] {kaikki}
Index: /trunk/gsdl/macros/french.dm
===================================================================
--- /trunk/gsdl/macros/french.dm	(revision 11156)
+++ /trunk/gsdl/macros/french.dm	(revision 11157)
@@ -407,5 +407,4 @@
 _textnoquerytitle_ [l=fr] {Page de recherche}
 
-_labelSearch_ [l=fr] {Recherche}
 _textsome_ [l=fr] {quelques uns des}
 _textall_ [l=fr] {tous les}
Index: /trunk/gsdl/macros/galician.dm
===================================================================
--- /trunk/gsdl/macros/galician.dm	(revision 11156)
+++ /trunk/gsdl/macros/galician.dm	(revision 11157)
@@ -426,5 +426,4 @@
 _textnoquerytitle_ [l=gl] {PÃ¡xina de busca}
 
-_labelSearch_ [l=gl] {buscar}
 _textsome_ [l=gl] {algunhas das}
 _textall_ [l=gl] {todas as}
Index: /trunk/gsdl/macros/georgian.dm
===================================================================
--- /trunk/gsdl/macros/georgian.dm	(revision 11156)
+++ /trunk/gsdl/macros/georgian.dm	(revision 11157)
@@ -416,5 +416,4 @@
 _textnoquerytitle_ [l=ka] {á«ááááá¡ áááá áá}
 
-_labelSearch_ [l=ka] {á«áááá}
 _textsome_ [l=ka] {á ááááááááá}
 _textall_ [l=ka] {á§áááá}
Index: /trunk/gsdl/macros/german.dm
===================================================================
--- /trunk/gsdl/macros/german.dm	(revision 11156)
+++ /trunk/gsdl/macros/german.dm	(revision 11157)
@@ -439,5 +439,4 @@
 _textnoquerytitle_ [l=de] {Suchseite}
 
-_labelSearch_ [l=de] {Suche}
 _textsome_ [l=de] {einige}
 _textall_ [l=de] {alle}
Index: /trunk/gsdl/macros/greek.dm
===================================================================
--- /trunk/gsdl/macros/greek.dm	(revision 11156)
+++ /trunk/gsdl/macros/greek.dm	(revision 11157)
@@ -508,5 +508,4 @@
 _textnoquerytitle_ [l=el] {Î£ÎµÎ»Î¯ÎŽÎ± Î±ÎœÎ±Î¶Î®ÏÎ·ÏÎ·Ï}
 
-_labelSearch_ [l=el] {Î±ÎœÎ±Î¶Î®ÏÎ·ÏÎ·}
 _textsome_ [l=el] {ÎŒÎµÏÎ¹ÎºÎ­Ï}
 _textall_ [l=el] {ÏÎ»Î± /all}
Index: /trunk/gsdl/macros/hebrew.dm
===================================================================
--- /trunk/gsdl/macros/hebrew.dm	(revision 11156)
+++ /trunk/gsdl/macros/hebrew.dm	(revision 11157)
@@ -427,5 +427,4 @@
 _textnoquerytitle_ [l=he] {×××€××© ××£}
 
-_labelSearch_ [l=he] {×××€××©}
 _textsome_ [l=he] {×××××}
 _textall_ [l=he] {××××× ×}
Index: /trunk/gsdl/macros/hindi.dm
===================================================================
--- /trunk/gsdl/macros/hindi.dm	(revision 11156)
+++ /trunk/gsdl/macros/hindi.dm	(revision 11157)
@@ -526,5 +526,4 @@
 _textnoquerytitle_ [l=hi] {à€à¥à€ à€à€Ÿ à€ªà¥à€·à¥à€  à¥€}
 
-_labelSearch_ [l=hi] {à€à¥à€}
 _textsome_ [l=hi] {_If_(_cgiargb_,à€ªà€à€à¥à€€à€¿, à€à¥à€)}
 _textall_ [l=hi] {_If_(_cgiargb_,à€¬à¥à€²à€¿à€¯à€šà¥, à€žà€¬)}
Index: /trunk/gsdl/macros/indo.dm
===================================================================
--- /trunk/gsdl/macros/indo.dm	(revision 11156)
+++ /trunk/gsdl/macros/indo.dm	(revision 11157)
@@ -398,5 +398,4 @@
 _textnoquerytitle_ [l=id] {Halaman Pencarian}
 
-_labelSearch_ [l=id] {mencari}
 _textsome_ [l=id] {beberapa}
 _textall_ [l=id] {semua}
Index: /trunk/gsdl/macros/italian.dm
===================================================================
--- /trunk/gsdl/macros/italian.dm	(revision 11156)
+++ /trunk/gsdl/macros/italian.dm	(revision 11157)
@@ -421,5 +421,4 @@
 _textnoquerytitle_ [l=it] {Pagina di ricerca}
 
-_labelSearch_ [l=it] {cerca}
 _textsome_ [l=it] {almeno una delle}
 _textall_ [l=it] {tutte le}
Index: /trunk/gsdl/macros/japanese.dm
===================================================================
--- /trunk/gsdl/macros/japanese.dm	(revision 11156)
+++ /trunk/gsdl/macros/japanese.dm	(revision 11157)
@@ -446,5 +446,4 @@
 _textnoquerytitle_ [l=ja] {æ€çŽ¢ããŒãž}
 
-_labelSearch_ [l=ja] {æ€çŽ¢}
 # -- Missing translation: _textsome_
 # -- Missing translation: _textall_
Index: /trunk/gsdl/macros/kannada.dm
===================================================================
--- /trunk/gsdl/macros/kannada.dm	(revision 11156)
+++ /trunk/gsdl/macros/kannada.dm	(revision 11157)
@@ -546,6 +546,4 @@
 à²šà³à²¶à³à²§à²šà³à²¯à²ªà³à²}
 
-_labelSearch_ [l=kn] {à²
-à²šà³à²¶à³à²§à²šà³}
 _textsome_ [l=kn] {_If_(_cgiargb_,à²¶à³à²°à³à²£à²¿à²¯,à²à³à²²à²µà³)}
 _textall_ [l=kn] {_If_(_cgiargb_,à²¬à³à²²à²¿à²¯à²šà³,à²à²²à³à²²à²Ÿ)}
Index: /trunk/gsdl/macros/kazakh.dm
===================================================================
--- /trunk/gsdl/macros/kazakh.dm	(revision 11156)
+++ /trunk/gsdl/macros/kazakh.dm	(revision 11157)
@@ -400,5 +400,4 @@
 _textnoquerytitle_ [l=kk] {ÐÐ·ÐŽÐµÑ Ð¿Ð°ÑÐ°ÒÑ}
 
-_labelSearch_ [l=kk] {ÐÐ·ÐŽÐµÑ}
 _textsome_ [l=kk] {ÐºÐµÐ¹Ð±ÑÑ}
 _textall_ [l=kk] {Ð±Ð°ÑÐ»ÑÒÑ}
Index: /trunk/gsdl/macros/kirghiz.dm
===================================================================
--- /trunk/gsdl/macros/kirghiz.dm	(revision 11156)
+++ /trunk/gsdl/macros/kirghiz.dm	(revision 11157)
@@ -398,5 +398,4 @@
 _textnoquerytitle_ [l=ky] {ÐÐµÑÑÐž ÐžÐ·ÐŽÓ©Ó©}
 
-_labelSearch_ [l=ky] {ÐžÐ·ÐŽÓ©Ó©}
 _textsome_ [l=ky] {ÐºÐ°Ð¹ÑÑ Ð±ÐžÑ}
 _textall_ [l=ky] {Ð±Ð°Ð°ÑÐŽÑÐ³Ñ}
Index: /trunk/gsdl/macros/maori.dm
===================================================================
--- /trunk/gsdl/macros/maori.dm	(revision 11156)
+++ /trunk/gsdl/macros/maori.dm	(revision 11157)
@@ -418,5 +418,4 @@
 _textnoquerytitle_ [l=mi] {WhÄrangi rapu}
 
-_labelSearch_ [l=mi] {rapu}
 _textsome_ [l=mi] {Ätehi}
 _textall_ [l=mi] {te katoa}
Index: /trunk/gsdl/macros/polish.dm
===================================================================
--- /trunk/gsdl/macros/polish.dm	(revision 11156)
+++ /trunk/gsdl/macros/polish.dm	(revision 11157)
@@ -463,5 +463,4 @@
 _textnoquerytitle_ [l=pl] {Strona wyszukiwania}
 
-_labelSearch_ [l=pl] {wyszukiwanie}
 _textsome_ [l=pl] {niektÃ³re}
 _textall_ [l=pl] {wszystkie}
Index: /trunk/gsdl/macros/port-br.dm
===================================================================
--- /trunk/gsdl/macros/port-br.dm	(revision 11156)
+++ /trunk/gsdl/macros/port-br.dm	(revision 11157)
@@ -440,5 +440,4 @@
 _textnoquerytitle_ [l=pt-br] {PÃ¡gina busca}
 
-_labelSearch_ [l=pt-br] {busca}
 _textsome_ [l=pt-br] {algumas}
 # -- Missing translation: _textall_
Index: /trunk/gsdl/macros/port-pt.dm
===================================================================
--- /trunk/gsdl/macros/port-pt.dm	(revision 11156)
+++ /trunk/gsdl/macros/port-pt.dm	(revision 11157)
@@ -422,5 +422,4 @@
 _textnoquerytitle_ [l=pt-pt] {PÃ¡gina de pesquisa}
 
-_labelSearch_ [l=pt-pt] {pesquisa}
 _textsome_ [l=pt-pt] {algumas}
 _textall_ [l=pt-pt] {todos}
Index: /trunk/gsdl/macros/russian.dm
===================================================================
--- /trunk/gsdl/macros/russian.dm	(revision 11156)
+++ /trunk/gsdl/macros/russian.dm	(revision 11157)
@@ -402,5 +402,4 @@
 _textnoquerytitle_ [l=ru] {Ð¡ÑÑÐ°ÐœÐžÑÐ° Ð¿ÐŸÐŒÐŸÑÐž}
 
-_labelSearch_ [l=ru] {ÐÐŸÐžÑÐº}
 _textsome_ [l=ru] {ÐœÐµÐºÐŸÑÐŸÑÑÐµ}
 _textall_ [l=ru] {Ð²ÑÐµ}
Index: /trunk/gsdl/macros/serbian.dm
===================================================================
--- /trunk/gsdl/macros/serbian.dm	(revision 11156)
+++ /trunk/gsdl/macros/serbian.dm	(revision 11157)
@@ -428,5 +428,4 @@
 _textnoquerytitle_ [l=sr] {Stranica za pretraÅŸivanje}
 
-_labelSearch_ [l=sr] {PretraÅŸivanje}
 _textsome_ [l=sr] {neki}
 _textall_ [l=sr] {sve}
Index: /trunk/gsdl/macros/spanish.dm
===================================================================
--- /trunk/gsdl/macros/spanish.dm	(revision 11156)
+++ /trunk/gsdl/macros/spanish.dm	(revision 11157)
@@ -405,5 +405,4 @@
 _textnoquerytitle_ [l=es] {PÃ¡gina de bÃºsqueda}
 
-_labelSearch_ [l=es] {buscar}
 _textsome_ [l=es] {algunas de}
 _textall_ [l=es] {todas}
Index: /trunk/gsdl/macros/thai.dm
===================================================================
--- /trunk/gsdl/macros/thai.dm	(revision 11156)
+++ /trunk/gsdl/macros/thai.dm	(revision 11157)
@@ -422,5 +422,4 @@
 _textnoquerytitle_ [l=th] {àžà¹àžàž«àž²àž«àžà¹àž²}
 
-_labelSearch_ [l=th] {àžà¹àžàž«àž²}
 # -- Missing translation: _textsome_
 # -- Missing translation: _textall_
Index: /trunk/gsdl/macros/turkish.dm
===================================================================
--- /trunk/gsdl/macros/turkish.dm	(revision 11156)
+++ /trunk/gsdl/macros/turkish.dm	(revision 11157)
@@ -423,5 +423,4 @@
 _textnoquerytitle_ [l=tr] {Arama sayfasÄ±}
 
-_labelSearch_ [l=tr] {arama}
 _textsome_ [l=tr] {bazÄ±larÄ±nÄ± }
 _textall_ [l=tr] {tÃŒmÃŒ}
Index: /trunk/gsdl/macros/ukrainian.dm
===================================================================
--- /trunk/gsdl/macros/ukrainian.dm	(revision 11156)
+++ /trunk/gsdl/macros/ukrainian.dm	(revision 11157)
@@ -428,5 +428,4 @@
 _textnoquerytitle_ [l=uk] {Ð¡ÑÐŸÑÑÐœÐºÐ° Ð¿ÐŸÑÑÐºÑ}
 
-_labelSearch_ [l=uk] {Ð¿ÐŸÑÑÐº}
 _textsome_ [l=uk] {ÐŽÐµÑÐºÑ}
 _textall_ [l=uk] {Ð²ÑÐµ}
Index: /trunk/gsdl/macros/vietnamese.dm
===================================================================
--- /trunk/gsdl/macros/vietnamese.dm	(revision 11156)
+++ /trunk/gsdl/macros/vietnamese.dm	(revision 11157)
@@ -417,5 +417,4 @@
 _textnoquerytitle_ [l=vi] {Trang tÃ¬m kiáº¿m}
 
-_labelSearch_ [l=vi] {tÃ¬m kiáº¿m}
 _textsome_ [l=vi] {má»t sá»}
 _textall_ [l=vi] {táº¥t cáº£ cÃ¡c}