Index: /trunk/gsdl/macros/collect.dm
===================================================================
--- /trunk/gsdl/macros/collect.dm	(revision 11166)
+++ /trunk/gsdl/macros/collect.dm	(revision 11167)
@@ -8,16 +8,4 @@
 # macro from within the server
 _pagescriptextra_ {}
-
-# this is just like the _gsimage_ macro but it calls the check_submit() javascript
-# function instead of linking directly to the page (_1_ argument isn't used)
-_gsjimage_ {<a href="javascript:check\_submit('_4_');" onMouseover="roll('_4_',1);" onMouseOut="roll('_4_',0);" target=_top><img
-name="_4_" src="_2_" onLoad="gbutton(this,'_3_');" border=0 alt="_5_" title="_5_"></a>}
-_gsjimage_ [v=1] {<a href="javascript:check\_submit('_4_');" target=_top>_5_</a><br>}
-
-# _gstimage_ is also similar to _gsimage_ but is used where buttons occur in a sub-frame and
-# require target=_top
-_gstimage_ {<a href="_1_" onMouseover="roll('_4_',1);" onMouseOut="roll('_4_',0);" target="\_top"><img
-name="_4_" src="_2_" onLoad="gbutton(this,'_3_');" border=0 alt="_5_" title="_5_"></a>}
-_gstimage_ [v=1] {<a href="_1_" target="\_top">_5_</a><br>}
 
 # a plain header for those pages that need it (the _pagebanner_ macro
@@ -48,41 +36,4 @@
 _iconstop_ {<img src="_httpimg_/stop.gif" border=0>}
 
-_icongcinfoof_ {<img src="_httpicongcinfoof_" alt="_textinfo_" title="_textinfo_">}
-_icongcinfoon_ {<img src="_httpicongcinfoon_" alt="_textinfo_" title="_textinfo_">}
-_iconycinfoof_ {<img src="_httpiconycinfoof_" alt="_textinfo_" title="_textinfo_">}
-_iconycinfoon_ {<img src="_httpiconycinfoon_" alt="_textinfo_" title="_textinfo_">}
-_iconncinfoof_ {<img src="_httpiconncinfoof_" alt="_textinfo_" title="_textinfo_">}
-
-_icongcsrceof_ {<img src="_httpicongcsrceof_" alt="_textsrce_" title="_textsrce_">}
-_icongcsrceon_ {<img src="_httpicongcsrceon_" alt="_textsrce_" title="_textsrce_">}
-_iconycsrceof_ {<img src="_httpiconycsrceof_" alt="_textsrce_" title="_textsrce_">}
-_iconycsrceon_ {<img src="_httpiconycsrceon_" alt="_textsrce_" title="_textsrce_">}
-_iconncsrceof_ {<img src="_httpiconncsrceof_" alt="_textsrce_" title="_textsrce_">}
-
-_icongcconfof_ {<img src="_httpicongcconfof_" alt="_textconf_" title="_textconf_">}
-_icongcconfon_ {<img src="_httpicongcconfon_" alt="_textconf_" title="_textconf_">}
-_iconycconfof_ {<img src="_httpiconycconfof_" alt="_textconf_" title="_textconf_">}
-_iconycconfon_ {<img src="_httpiconycconfon_" alt="_textconf_" title="_textconf_">}
-_iconncconfof_ {<img src="_httpiconncconfof_" alt="_textconf_" title="_textconf_">}
-
-_icongcbildof_ {<img src="_httpicongcbildof_" alt="_textbild_" title="_textbild_">}
-_icongcbildon_ {<img src="_httpicongcbildon_" alt="_textbild_" title="_textbild_">}
-_iconycbildof_ {<img src="_httpiconycbildof_" alt="_textbild_" title="_textbild_">}
-_iconycbildon_ {<img src="_httpiconycbildon_" alt="_textbild_" title="_textbild_">}
-_iconncbildof_ {<img src="_httpiconncbildof_" alt="_textbild_" title="_textbild_">}
-
-_icongcviewof_ {<img src="_httpicongcviewof_" alt="_textview_" title="_textview_">}
-_icongcviewon_ {<img src="_httpicongcviewon_" alt="_textview_" title="_textview_">}
-_iconycviewof_ {<img src="_httpiconycviewof_" alt="_textview_" title="_textview_">}
-_iconycviewon_ {<img src="_httpiconycviewon_" alt="_textview_" title="_textview_">}
-_iconncviewof_ {<img src="_httpiconncviewof_" alt="_textview_" title="_textview_">}
-
-_icongcdelof_ {<img src="_httpicongcdelof_" alt="_textdel_" title="_textdel_">}
-_icongcdelon_ {<img src="_httpicongcdelon_" alt="_textdel_" title="_textdel_">}
-
-# these buttons fixed width 77x26 fontsize 13 bgcolor #96c19b
-
-_icongcexptof_ {<img src="_httpicongcexptof_" alt="_textexpt_" title="_textexpt_">}
-_icongcexpton_ {<img src="_httpicongcexpton_" alt="_textexpt_" title="_textexpt_">}
 
 #######################################################################
@@ -179,16 +130,16 @@
 <p>_textwtc_
 
-<table cellspacing=6>
+<table class=collectorbar cellspacing=6>
 <tr><td width=20 align=right valign=bottom>1.</td>
-<td valign=bottom>_gsjimage_( ,_collector:httpicongcsrceof_,_collector:httpicongcsrceon_,srce,_collector:textsrce_)</td>
+<td class=collectorbargreen valign=bottom><a href=_httpsrce_>_textsrce_</a></td>
 <td valign=bottom>_textamd_</td></tr>
 <tr><td align=right valign=bottom>2.</td>
-<td valign=bottom>_gsjimage_(_,_collector:httpicongcconfof_,_collector:httpicongcconfon_,conf,_collector:textconf_)</td>
+<td class=collectorbargreen valign=bottom><a href=_httpconf_>_textconf_</a></td>
 <td valign=bottom>_textetc_</td></tr>
 <tr><td align=right valign=bottom>3.</td>
-<td valign=bottom>_gsimage_(_collector:httpdel_,_collector:httpicongcdelof_,_collector:httpicongcdelon_,del,_collector:textdel_)</td>
+<td class=collectorbargreen valign=bottom><a href=_httpdel_>_textdel_</a></td>
 <td valign=bottom>_textdtc_</td></tr>
 <tr><td align=right valign=bottom>4.</td>
-<td valign=bottom>_gsjimage_( ,_collector:httpicongcexptof_,_collector:httpicongcexpton_,expt,_collector:textexpt_)</td>
+<td class=collectorbargreen valign=bottom><a href=_httpexpt_>_textexpt_</a></td>
 <td valign=bottom>_textetcfcd_</td></tr>
 </table>
@@ -231,19 +182,19 @@
 
 <p>_texttsosn_
-<table cellspacing=6>
+<table class=collectorbar cellspacing=6>
 <tr><td width=20 align=right valign=bottom>1.</td>
-    <td valign=bottom>_iconncinfoof_</td>
+    <td class=collectorbargrey valign=bottom>_textinfo_</td>
     <td valign=bottom>_textsin_</td></tr>
 <tr><td align=right valign=bottom>2.</td>
-    <td valign=bottom>_iconncsrceof_</td>
+    <td class=collectorbargrey valign=bottom>_textsrce_</td>
     <td valign=bottom>_textswts_</td></tr>
 <tr><td align=right valign=bottom>3.</td>
-    <td valign=bottom>_iconncconfof_</td>
+    <td class=collectorbargrey valign=bottom>_textconf_</td>
     <td valign=bottom>_textatco_</td></tr>
 <tr><td align=right valign=bottom>4.</td>
-    <td valign=bottom>_iconncbildof_</td>
+    <td class=collectorbargrey valign=bottom>_textbild_</td>
     <td valign=bottom>_textbtc_</td></tr>
 <tr><td align=right valign=bottom>5.</td>
-    <td valign=bottom>_iconncviewof_</td>
+    <td class=collectorbargrey valign=bottom>_textview_</td>
     <td valign=bottom>_textpvyh_</td></tr>
 </table>