Index: /trunk/gsdl/macros/help.dm
===================================================================
--- /trunk/gsdl/macros/help.dm	(revision 11360)
+++ /trunk/gsdl/macros/help.dm	(revision 11361)
@@ -19,15 +19,113 @@
 
 _texthelptopics_
+_If_(_cgiargc_,
 <div class="divbar">&nbsp;</div>
 <a name="finding-information"></a>
 <h2>_textsimplehelpheading_</h2>
-_simplehelp_
+_simplehelp_)
+<div class="divbar">&nbsp;</div>
+<a name="reading-docs"></a>
+<h2>_textreadingdocs_</h2>
 _texthelpreadingdocs_
+<p>_texthelpiconsexplained_</p>
 <div class="divbar">&nbsp;</div>
 <a name="searching"></a>
+<h2>_texthelpsearchingtitle_</h2>
 _texthelpsearching_
 <div class="divbar">&nbsp;</div>
+<a name="query-terms"></a>
+<h3>_texthelpquerytermstitle_</h3>
+_texthelpqueryterms_
+<div class="divbar">&nbsp;</div>
+<a name="query-type"></a>
+<h3>_texthelpquerytypetitle_</h3>
+_texthelpquerytype_
+<div class="divbar">&nbsp;</div>
+<a name="scope-of-queries"></a>
+<h3 align=left>_texthelpscopetitle_</h3>
+_texthelpscope_
+_optdatesearchhelp_
+<div class="divbar">&nbsp;</div>
 <a name="preferences"></a>
+<h2>_textchangeprefs_</h2>
 _texthelppreferences_
 <div class="divbar">&nbsp;</div>
+<a name="col-prefs"></a>
+<h3 align=left>_texthelpcollectionprefstitle_</h3>
+_texthelpcollectionprefs_
+<div class="divbar">&nbsp;</div>
+<a name="lang-prefs"></a>
+<h3 align=left>_texthelplanguageprefstitle_</h3>
+_texthelplanguageprefs_
+<div class="divbar">&nbsp;</div>
+<a name="pres-prefs"></a>
+<h3 align=left>_texthelppresentationprefstitle_</h3>
+_texthelppresentationprefs_
+<div class="divbar">&nbsp;</div>
+<a name="search-prefs"></a>
+<h3 align=left>_texthelpsearchprefstitle_</h3>
+_texthelpsearchprefs_
+<div class="divbar">&nbsp;</div>
 }
+
+
+_texthelptopics_ {
+<h2 align=left>_texthelptopicstitle_</h2>
+<ul>
+  _If_(_cgiargc_,<li><a href="\#finding-information">_textsimplehelpheading_</a>)
+  <li><a href="\#reading-docs">_textreadingdocs_</a>
+  <li><a href="\#searching">_texthelpsearchingtitle_</a>
+<ul>
+  <li><a href="\#query-terms">_texthelpquerytermstitle_</a>
+  <li><a href="\#query-type">_texthelpquerytypetitle_</a>
+  <li><a href="\#scope-of-queries">_texthelpscopetitle_</a>
+</ul>
+  _optdatesearchhelpcontents_
+  <li><a href="\#preferences">_textchangeprefs_</a>
+<ul>
+  <li><a href="\#col-prefs">_texthelpcollectionprefstitle_</a>
+  <li><a href="\#lang-prefs">_texthelplanguageprefstitle_</a>
+  <li><a href="\#pres-prefs">_texthelppresentationprefstitle_</a>
+  <li><a href="\#search-prefs">_texthelpsearchprefstitle_</a>
+</ul>
+</ul>
+}
+
+_texthelpiconsexplained_ {
+<table cellspacing="0" cellpadding="2" border="0">
+<tr><td colspan=2><img src="_httpiconbshelf_" border="0"></td><td>_texthelpopenbookshelf_</td></tr>
+<tr><td><img src="_httpiconbook_" border="0"></td><td><img src="_httpiconopenbook_" border="0"></td><td>_texthelpopenbook_</td></tr>
+<tr><td colspan=2><img src="_httpiconitext_" border="0"></td><td>_texthelpviewtextsection_</td></tr>
+<tr><td><img src="_httpiconless_" border="0"></td><td><img src="_httpiconmore_" border="0"></td><td>_texthelpsectionarrows_</td></tr>
+<tr><td>_document:imageexpandtext_</td><td>_document:imagecontracttext_</td><td>_texthelpexpandtext_</td></tr>
+<tr><td>_document:imageexpandtoc_</td><td>_document:imagecontracttoc_</td><td>_texthelpexpandcontents_</td></tr>
+<tr><td>_document:imagedetach_</td><td></td><td>_texthelpdetachpage_</td></tr>
+<tr><td>_document:imagehighlight_</td><td>_document:imagenohighlight_</td><td>_texthelphighlight_</td></tr>
+</table>
+}
+
+# this gets set to _datesearchhelp_ by the receptionist if datesearch is enabled in the collection
+_optdatesearchhelp_{}
+_optdatesearchhelpcontents_ {}
+_datesearchhelpcontents_ {
+  <li><a href="\#datesearch">_textdatesearch_</a>
+  <ul>
+    <li><a href="\#datesearch-howto">_texthelpdatehowtotitle_</a>
+    <li><a href="\#datesearch-results">_texthelpdateresultstitle_</a>
+  </ul>
+}
+
+_datesearchhelp_{
+<div class="divbar">&nbsp;</div>
+<a name="datesearch"></a>
+<h2>_textdatesearch_</h2>
+_texthelpdatesearch_
+<div class="divbar">&nbsp;</div>
+<a name="datesearch-howto"></a>
+<h3>_texthelpdatehowtotitle_</h3>
+_texthelpdatehowto_
+<div class="divbar">&nbsp;</div>
+<a name="datesearch-results"></a>
+<h3>_texthelpdateresultstitle_</h3>
+_texthelpdateresults_
+}