Index: trunk/gsdl/macros/kannada.dm
===================================================================
--- trunk/gsdl/macros/kannada.dm	(revision 11211)
+++ trunk/gsdl/macros/kannada.dm	(revision 11363)
@@ -774,47 +774,11 @@
 # -- Missing translation: _textdefaultlongtext_
 
-_texthelptopics_ [l=kn] {<h2 align=left>à²žà²¹à²Ÿà²¯à²Š à²µà²¿à²·à²¯à²à²³à³</h2>
-<ul>
-  <li><a href="\#finding-information">_textsimplehelpheading_</a>
-  _topicreadingdocs_
-  <li><a href="\#searching">à²šà²¿à²°à³à²Šà²¿à²·à³à² 
-à²ªà²Šà²à²³à²šà³à²šà³ à²¹à³à²à³
-à²
-à²šà³à²¶à³à²§à²¿à²žà³à²µà²¿à²°à²¿</a>
-<ul>
-  <li><a href="\#query-terms">à²
-à²šà³à²¶à³à²§à²šà³à²¯ à²ªà²Šà²à²³à³</a>
-  <li><a href="\#query-type">à²
-à²šà³à²¶à³à²§à²šà³à²¯ à²°à³à²€à²¿</a>
-  <li><a href="\#scope-of-queries">à²
-à²šà³à²¶à³à²§à²šà³à²¯ à²à²Šà³à²Šà³à²¶</a>
-</ul>
-  <li><a href="\#preferences">_textchangeprefs_</a>
-<ul>
-  <li><a href="\#col-prefs">à²žà²à²à³à²°à²¹à²£à³à²¯ à²à²¯à³à²à³à²à²³à³</a>
-  <li><a href="\#pres-prefs">à²ªà³à²°à²Šà²°à³à²¶à²¿à²žà³à²µ à²à²¯à³à²à³à²à²³à³</a>
-  <li><a href="\#search-prefs">à²
-à²šà³à²¶à³à²§à²šà³à²¯ à²à²¯à³à²à³à²à²³à³</a>
-</ul>
-</ul>
-}
-
-# there are 4 versions of this section of the help text.
-# which version is used is currently set within the server
-# (it should probably use the macro language e.g. [type=book])
-# 1 = html (like fao collections) -- section is empty
-# 2 = book (like hdl collection) -- macros beginning with book
-# 3 = bibliographic (like csbib) -- macros beginning with bib
-# 4 = standard (like gberg) -- the default
-
-_topicreadingdocs_ [l=kn] {<li><a href="\#reading-docs">_textreadingdocs_</a>}
+
+_texthelptopicstitle_ [l=kn] {à²žà²¹à²Ÿà²¯à²Š à²µà²¿à²·à²¯à²à²³à³}
 
 _textreadingdocs_ [l=kn] {à²Šà²Ÿà²à²²à³à²à²³à²šà³à²šà³ 
 à²¹à³à²à³ à²à²Šà³à²µà³à²Šà³}
 
-_texthelpreadingdocs_ [l=kn] {<div class="divbar">&nbsp;</div>
-<a name="reading-docs"></a>
-<h2>_textreadingdocs_</h2>
-
+_texthelpreadingdocs_ [l=kn] {
 <p> à²à²à²Šà³ à²Šà²Ÿà²à²²à³ 
 à²¬à²à²Š à²€à²à³à²·à²£
@@ -899,38 +863,26 @@
 à²à³à²à²¡à²¿à²¯à²šà³à²šà³
 à²à³à²²à²¿à²à³ à²®à²Ÿà²¡à²¿.
-<p>
-<table cellspacing="0" cellpadding="2" border="0">
-<tr><td colspan=2><img src="_httpiconmore_"
-border="0"></td><td>à²®à³à²à²Šà²¿à²š
-à²­à²Ÿà²à²à³à²à³
-à²¹à³à²à²²à³ à²¬à²Ÿà²£à²Š
-à²à²¿à²¹à³à²šà³à²¯à²šà³à²šà³
-à²à³à²²à²¿à²à³ à²®à²Ÿà²¡à²¿ ...</td></tr>
-<tr><td colspan=2><img src="_httpiconless_" border="0"></td><td>... à²
-à²¥à²µà²Ÿ à²¹à²¿à²à²Šà²¿à²š
-à²­à²Ÿà²à²à³à²à³ à²¹à³à²à²¿</td></tr>
-<tr><td><img src="_document:httpiconealltof_" border="0"></td><td><img 
-src="_document:httpiconetsecof_" border="0"></td><td>à²à²²à³à²²à²Ÿ à²ªà² à³à²¯
+}
+
+# help about the icons
+_texthelpexpandtext_ [l=kn] {à²à²²à³à²²à²Ÿ à²ªà² à³à²¯
 à²µà²šà³à²šà³
 à²ªà³à²°à²Šà²°à³à²¶à²¿à²žà³,
 à²
-à²¥à²µà²Ÿ à²¬à³à²¡</td></tr>
-<tr><td colspan=2><img src="_document:httpiconedtchof_"
-border="0"></td><td>à² à²ªà³à²à²µà²šà³à²šà³
+à²¥à²µà²Ÿ à²¬à³à²¡}
+_texthelpdetachpage_ [l=kn] {à² à²ªà³à²à²µà²šà³à²šà³
 à²¹à³à²ž à²à²¿à²à²à²¿à²¯à²²à³à²²à²¿
-à²€à³à²à³</td></tr>
-<tr><td><img src="_document:httpiconehlof_" border="0"></td><td><img
-src="_document:httpiconenhlof_" border="0"></td><td>à²
+à²€à³à²à³}
+_texthelphighlight_ [l=kn] {à²
 à²šà³à²¶à³à²§à²¿à²žà²¿à²Š
 à²ªà²Šà²à²³à²šà³à²šà³
-à²¹à³à²²à³à²à³ à²®à²Ÿà²¡à³</td></tr>
-</table>
-
-}
-
-_texthelpsearching_ [l=kn] {<h2>à²šà²¿à²°à³à²Šà²¿à²·à³à²
+à²¹à³à²²à³à²à³ à²®à²Ÿà²¡à³}
+
+_texthelpsearchingtitle_ [l=kn] {à²šà²¿à²°à³à²Šà²¿à²·à³à²
 à²ªà²Šà²à²³à²šà³à²šà³
 à²¹à³à²à³ à²
-à²šà³à²¶à³à²§à²¿à²žà³à²µà³à²Šà³</h2>
+à²šà³à²¶à³à²§à²¿à²žà³à²µà³à²Šà³}
+
+_texthelpsearching_ [l=kn] {
 <p>
   à²
@@ -1004,10 +956,9 @@
 à²à²¯à³à²à³à²à²³ à²ªà³à²à²Šà²²à³à²²à²¿
 à²¬à²Šà²²à²¿à²žà²¬à²¹à³à²Šà³.<p> 
-
-<div class="divbar">&nbsp;</div>
-<a name="query-terms"></a>
-<h3>à²
-à²šà³à²¶à³à²§à²šà³à²¯ à²ªà²Šà²à²³à³</h3>
-
+}
+
+_texthelpquerytermstitle_ [l=kn] {à²
+à²šà³à²¶à³à²§à²šà³à²¯ à²ªà²Šà²à²³à³}
+_texthelpqueryterms_ [l=kn] {
 <p> à²šà³à²µà³
 à²ªà³à²°à²¶à³à²šà³à²ªà³à²à³à²à²¿à²à³à²¯à²²à³à²²à²¿
@@ -1069,9 +1020,8 @@
 <span style='mso-spacerun:yes'> </span>à²žà²à²°à²à³à²·à²£à³
 à²®à²Ÿà²¡à³à²µ à²ªà²Šà³à²Šà²€à²¿ 1993 </kbd></ul><p>
-
-<div class="divbar">&nbsp;</div>
-<a name="query-type"></a>
-<h3>à²ªà³à²°à²¶à³à²šà³à²¯ à²®à²Ÿà²Šà²°à²¿</h3>
-
+}
+
+_texthelpquerytypetitle_ [l=kn] {à²ªà³à²°à²¶à³à²šà³à²¯ à²®à²Ÿà²Šà²°à²¿}
+_texthelpquerytype_ [l=kn] {
 <p>à²à²°à²¡à³ à²¬à²à³à²¯ 
 à²ªà³à²°à²¶à³à²šà³à²à²³à²¿à²µà³.
@@ -1139,5 +1089,4 @@
 à²žà²à²­à²µà²¿à²šà²¿à²¯à²€à³à²¯à²à²€à³ à²ªà²à³à²à²¿
 à²®à²Ÿà²¡à³à²€à³à²€à²Šà³.<p>
-_texthelpscope_
 }
 
@@ -1148,5 +1097,5 @@
 _textchangeprefs_ [l=kn] {à²šà²¿à²®à³à²® à²à²¯à³à²à³à²à²³à³}
 
-_texthelppreferences_ [l=kn] {<h2>_textchangeprefs_</h2>
+_texthelppreferences_ [l=kn] {
 
 <p>à²ªà³à²à²Š à²®à³à²²à²¿à²°à³à²µ <b>à²à²¯à³à²à³à²à²³à³</b> 
@@ -1158,9 +1107,8 @@
 à²¬à²Šà²²à²¿à²žà²¿à²à³à²³à³à²³
 à²¬à²¹à³à²Šà³. 
-
-<div class="divbar">&nbsp;</div>
-<a name="col-prefs"></a>
-<h3 align=left>à²žà²à²à³à²°à²¹à²£à³à²¯ à²à²¯à³à²à³à²à²³à³</h3>
-
+}
+
+_texthelpcollectionprefstitle_ [l=kn] {à²žà²à²à³à²°à²¹à²£à³à²¯ à²à²¯à³à²à³à²à²³à³}
+_texthelpcollectionprefs_ [l=kn] {
 à²à³à²²à²µà³
 à²žà²à²à³à²°à²¹à²£à³à²à²³à³
@@ -1177,9 +1125,8 @@
 à²à²¯à³à²à³à²à²³ à²ªà³à²à²Šà²²à³à²²à²¿
 à²žà³à²°à²¿à²žà²¬à²¹à³à²Šà³.
-
-<div class="divbar">&nbsp;</div>
-<a name="lang-prefs"></a>
-<h3 align=left>à²¬à²Ÿà²·à³à²¯ à²à²¯à³à²à³à²à²³à³</h3>
-
+}
+
+_texthelplanguageprefstitle_ [l=kn] {à²¬à²Ÿà²·à³à²¯ à²à²¯à³à²à³à²à²³à³}
+_texthelplanguageprefs_ [l=kn] {
 à²ªà³à²°à²€à²¿à²¯à³à²à²Šà³
 à²žà²à²à³à²°à²¹à²£à³à²¯à²šà³à²šà³
@@ -1206,9 +1153,8 @@
 à²«à³à²žà³ à²à³ à²¬à²Šà²²à²¿à²žà²²à³
 à²à²µà²à²Ÿà²¶ à²à²²à³à²ªà²¿à²žà³à²€à³à²€à²Šà³.
-
-<div class="divbar">&nbsp;</div>
-<a name="pres-prefs"></a>
-<h3 align=left>à²ªà³à²°à²Šà²°à³à²¶à²šà³à²¯ à²à²¯à³à²à³à²à²³à³</h3>
-
+}
+
+_texthelppresentationprefstitle_ [l=kn] {à²ªà³à²°à²Šà²°à³à²¶à²šà³à²¯ à²à²¯à³à²à³à²à²³à³}
+_texthelppresentationprefs_ [l=kn] {
 à²šà²¿à²°à³à²Šà²¿à²·à³à²
 à²žà²à²à³à²°à²¹à²£à³à²¯à²šà³à²šà³
@@ -1241,10 +1187,9 @@
 à²¹à³à²°à²à²¿à²š à²µà³à²¬à³ à²žà²à²à³à²°à²¹à²£à³à²à³
 à²²à²¿à²à²à³ à²šà³à²¡à³à²€à³à²€à²Šà³.
-
-<div class="divbar">&nbsp;</div>
-<a name="search-prefs"></a>
-<h3 align=left>à²
-à²šà³à²¶à³à²§à²šà³à²¯ à²à²¯à³à²à³à²à²³à³</h3>
-
+}
+
+_texthelpsearchprefstitle_ [l=kn] {à²
+à²šà³à²¶à³à²§à²šà³à²¯ à²à²¯à³à²à³à²à²³à³}
+_texthelpsearchprefs_ [l=kn] {
 à²à²°à²¡à³ à²à³à²¡à²¿
 à²à³à²à²¡à²¿à²à²³à³
@@ -1282,9 +1227,7 @@
 à²ªà²¡à³à²¯à³à²µà³à²Šà³}
 
-_texthelpscope_ [l=kn] {<div class="divbar">&nbsp;</div>
-<a name="scope-of-queries"></a>
-<h3 align=left>à²ªà³à²°à²¶à³à²šà³à²à²³
-à²à²Šà³à²Šà³à²¶</h3>
-
+_texthelpscopetitle_ [l=kn] {à²ªà³à²°à²¶à³à²šà³à²à²³
+à²à²Šà³à²Šà³à²¶}
+_texthelpscope_ [l=kn] {
 <p>
 à²šà³à²µà³ à²