Index: trunk/gsdl-documentation/tutorials/xml-source/tutorial_en.xml
===================================================================
--- trunk/gsdl-documentation/tutorials/xml-source/tutorial_en.xml	(revision 11405)
+++ trunk/gsdl-documentation/tutorials/xml-source/tutorial_en.xml	(revision 11406)
@@ -1240,5 +1240,5 @@
 <Text id="0469">This displays something that looks like this: </Text>
 <Indent>
-<table><tr><td><img width='15' height='20' src="tutorial_images/itext.gif"/></td><td width='408' valign='top'>A discussion of question five from Tudor Quiz: Henry VIII <br/><i>(quizstuff.html)</i></td></tr></table>
+<table><tr><td><img width='15' height='20' src="tutorial_files/itext.gif"/></td><td width='408' valign='top'>A discussion of question five from Tudor Quiz: Henry VIII <br/><i>(quizstuff.html)</i></td></tr></table>
 </Indent>
 <Text id="0472">for a particular document whose <i>Title</i> metadata is <i>A discussion of question five from Tudor Quiz: Henry VIII</i> and whose <i>Source</i> metadata is <i>quizstuff.html</i></Text>
@@ -1289,9 +1289,9 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0489">To insert the <b>[dc.Subject]</b>, position the cursor at the appropriate point and investigate the <b>Variables</b> dropdown menu below--the one that says <b>[Text]</b>. Make it say <b>[dc.Subject]</b> and click <b>Insert </b>to insert this into the <b>HTML Format String</b>. This menu shows all the things that you can put in square brackets in the format statement. The only exception is <b>[Text]</b>, which gives the full text of the document, and can only be used when <b>DocumentText</b> is the <b>Affected Component</b>.</Text>
+<Text id="0489">To insert the <b>[dc.Subject]</b>, position the cursor at the appropriate point and either type it in, or use the <b>Variables</b> dropdown menu--the one that says <b>[Text]</b>. Make it say <b>[dc.Subject]</b> and click <b>Insert </b>to insert this into the <b>HTML Format String</b>. This menu shows all the things that you can put in square brackets in the format statement. The only exception is <b>[Text]</b>, which gives the full text of the document, and can only be used when <b>DocumentText</b> is the <b>Affected Component</b>.</Text>
 </NumberedItem>
 <NumberedItem>
 <Text id="0490">Now go to the <b>Create</b> panel and click &lt;<b>Preview</b>&gt;. Documents in the search results list will be displayed like this:</Text>
-<table><tr><td><img width='15' height='20' src="tutorial_images/itext.gif" /></td><td width='408' valign='top'>A discussion of question five from Tudor Quiz: Henry VIII <br/>
+<table><tr><td><img width='15' height='20' src="tutorial_files/itext.gif" /></td><td width='408' valign='top'>A discussion of question five from Tudor Quiz: Henry VIII <br/>
 Tudor period|Others</td></tr></table>
 <Text id="0493">(The vertical bar appears because this <i>dc.Subject and Keywords</i> metadata is hierarchical metadata. Unfortunately there is no way to get at individual components of the hierarchy. For most metadata, such as title and author, this isn't a problem.)</Text>
@@ -1372,5 +1372,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0523">Remove the plugins <b>TextPlug</b> to <b>NULPlug</b> (<b>ZIPPlug</b>, <b>GAPlug</b> and <b>MARCPlug</b> remain). It is not strictly necessary to remove these redundant plugins, but it is good practice to include only plugins that are needed, to avoid accidentally including stray documents.</Text>
+<Text id="0523">Remove the plugins <b>TextPlug</b> to <b>NULPlug</b> by selecting each one in the <b>Currently Assigned Plugins</b> list and clicking <b>Remove Plugin</b> (<b>ZIPPlug</b>, <b>GAPlug</b> and <b>MARCPlug</b> remain). It is not strictly necessary to remove these redundant plugins, but it is good practice to include only plugins that are needed, to avoid accidentally including stray documents.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1404,4 +1404,5 @@
 <NumberedItem>
 <Text id="0532a">Add form searching to the collection by selecting <b>form</b> in the <b>Search Types</b> menu and clicking &lt;<b>Add Search Type</b>&gt;. Remove plain searching by selecting <b>plain</b> in the <b>Currently Assigned Search Types</b> list, and clicking &lt;<b>Remove Search Type</b>&gt;.</Text>
+</NumberedItem>
 <NumberedItem>
 <Text id="0533"><b>Build</b> the collection once again, and <b>preview</b> the results. Notice that the collection's home page no longer includes a query box. (This is because the search form is too big to fit here nicely.) To search, you have to click <b>search</b> in the navigation bar. Note that the <i>Preferences </i>page has changed to control the advanced searching options.</Text>
@@ -1511,4 +1512,5 @@
 dc.Title,ex.Title
 </Format> 
+<Text id="0565a">and click <b>&lt;OK&gt;</b>.</Text>
 </Bullet>
 </BulletList>
@@ -1535,18 +1537,9 @@
 </Bullet>
 <Bullet>
-<Text id="0574">Add an <b>AZCompactList</b> classifier. Select <b>dc.Format</b> as the metadata field and specify "Category" as the <b>buttonname</b>.</Text>
+<Text id="0574">Add an <b>AZCompactList</b> classifier. Select <b>dc.Format</b> as the metadata field and specify "Category" as the <b>buttonname</b>. Click the <b>sort</b> checkbox, and leave <b>Title</b> in the adjacent text box: this will make the classifier display documents in alphabetical order of title.</Text>
 </Bullet>
 </BulletList>
 <Text id="0575"><b>Build</b> the collection again and <b>preview</b> it.</Text>
 </NumberedItem>
-<NumberedItem>
-<Text id="0576">Greenstone has no pre-defined button for "Category", so it appears in the navigation bar as text. It does, however, have a button for <i>browse</i> (it's used in the Beatles collection you looked at in Part I).</Text>
-<BulletList>
-<Bullet>
-<Text id="0577">Go back to the <b>AZCompactList</b> classifier for <b>dc.Format</b>. Click the <b>sort</b> checkbox, and leave <b>Title</b> in the adjacent text box: this will make the classifier display documents in alphabetical order of title. Also, specify "Browse" as the <b>buttonname</b>.</Text>
-</Bullet>
-</BulletList>
-<Text id="0578">You will need to build the collection for this to take effect.</Text>
-</NumberedItem>
 <Heading>
 <Text id="0579">Suppressing dummy text</Text>
@@ -1561,7 +1554,6 @@
 <Text id="0582">Ensure that <b>VList</b> is selected, and make the changes that are highlighted below. You need to insert three lines into the first line, and delete the second line.<br/> <br/> Change:</Text>
 <Format>
-&lt;td valign=top&gt;[link][icon][/link]&lt;/td&gt;<br/> 
-&lt;td valign=top&gt;<br/>
-[ex.srclink]{Or}{[ex.thumbicon],[ex.srcicon]}[ex./srclink]&lt;/td&gt; <br/>
+&lt;td valign=top&gt;<highlight>[link][icon][/link]</highlight>&lt;/td&gt;<br/> 
+<highlight>&lt;td valign=top&gt;[ex.srclink]{Or}{[ex.thumbicon],[ex.srcicon]}[ex./srclink]&lt;/td&gt; </highlight><br/>
 &lt;td valign=top&gt;[highlight]<br/>
 {Or}{[dls.Title],[dc.Title],[Title],Untitled} <br/>
@@ -1571,7 +1563,7 @@
 <Format>
 &lt;td valign=top&gt;<br/>
-{If}{[dc.Format] eq 'Audio', <br/>
-[srclink][srcicon][/srclink], <br/>
-[link][icon][/link]}&lt;/td&gt; <br/>
+<highlight>{If}{[dc.Format] eq 'Audio', </highlight><br/>
+<highlight>[srclink][srcicon][/srclink], </highlight><br/>
+<highlight>[link][icon][/link]}</highlight>&lt;/td&gt; <br/>
 &lt;td valign=top&gt;[highlight] {Or}{[dls.Title],[dc.Title],[Title],Untitled} [/highlight]{If}{[ex.Source],&lt;br&gt;&lt;i&gt;([ex.Source])&lt;/i&gt;}&lt;/td&gt;
 </Format> 
@@ -1597,5 +1589,5 @@
 &nbsp;[srclink][srcicon][/srclink],<br/>
 &nbsp;[link][icon][/link]}&lt;/td&gt; <br/>
-&lt;td valign=top&gt;[highlight] {Or}{[dls.Title],[dc.Title],[Title],Untitled} [/highlight]{If}{[ex.Source],&lt;br&gt;&lt;i&gt;([ex.Source])&lt;/i&gt;}&lt;/td&gt;</Format> 
+&lt;td valign=top&gt;[highlight] {Or}{[dls.Title],[dc.Title],[Title],Untitled} [/highlight]<highlight>{If}{[ex.Source],&lt;br&gt;&lt;i&gt;([ex.Source])&lt;/i&gt;}</highlight>&lt;/td&gt;</Format> 
 </Bullet>
 </BulletList>
@@ -1633,5 +1625,5 @@
 </Heading>
 <NumberedItem>
-<Text id="0606">Make the bookshelves show how many documents they contain by inserting a line in the VList format statement in the <b>Design</b> panel:</Text>
+<Text id="0606">Make the bookshelves show how many documents they contain by inserting a line in the VList format statement in the <b>Format Features</b> section of the <b>Design</b> panel:</Text>
 <Format>
 &lt;td valign=top&gt;<br/> 
@@ -1639,5 +1631,5 @@
  [srclink][srcicon][/srclink],<br/> 
  [link][icon][/link]}&lt;/td&gt;<br/> 
-&lt;td&gt;{If}{[numleafdocs],([numleafdocs])}&lt;/td&gt;<br/> 
+<highlight>&lt;td&gt;{If}{[numleafdocs],([numleafdocs])}&lt;/td&gt;</highlight><br/> 
 &lt;td valign=top&gt;[highlight] {Or}{[dls.Title],[dc.Title],[Title],Untitled} [/highlight]&lt;/td&gt;</Format> 
 <Text id="0607">You will find this text in <i>format_tweaks</i>--&gt;</Text>
@@ -1653,7 +1645,7 @@
 {If}{[dc.Format] eq 'Audio',<br/> 
  [srclink][srcicon][/srclink],<br/> 
- {If}{[dc.Format] eq 'Images',<br/> 
- [srclink][thumbicon][/srclink],<br/> 
- [link][icon][/link]}}&lt;/td&gt;<br/> 
+ <highlight>{If}{[dc.Format] eq 'Images',</highlight><br/> 
+ <highlight>[srclink][thumbicon][/srclink],</highlight><br/> 
+ [link][icon][/link]}<highlight>}</highlight>&lt;/td&gt;<br/> 
 &lt;td&gt;{If}{[numleafdocs],([numleafdocs])}&lt;/td&gt;<br/> 
 &lt;td valign=top&gt;[highlight] {Or}{[dls.Title],[dc.Title],[Title],Untitled} [/highlight]&lt;/td&gt;</Format> 
@@ -1670,21 +1662,13 @@
 <Text id="0617">Note how we assigned dc.Format metadata to all documents in the collection with a minimum of labour. We did this by capitalizing on the folder structure of the original information. Even though we complained earlier about how messy this folder structure is, you can still take advantage of it when assigning metadata.</Text>
 </Comment>
-<Comment>
-<Text id="0618">In the next exercise we incorporate the MIDI files. Greenstone has no MIDI plugin (yet). But that doesn't mean you can't use MIDI files! We also clean up the <i>titles a-z</i> browser.</Text>
-</Comment>
-<Comment>
-<Text id="0621">To do this we must put the Librarian Interface into a different mode. The interface supports four levels of user: Library Assistants, who can add documents and metadata to collections, and create new ones whose structure mirrors that of existing collections; Librarians, who can, in addition, design new collections, but cannot use specialist IT features (e.g. regular expressions); Library Systems Specialists, who can use all design features, but cannot perform troubleshooting tasks (e.g. interpreting debugging output from Perl programs); and Experts, who can perform all functions.</Text>
-</Comment>
-<Comment>
-<Text id="0622">So far you have mostly been operating in Librarian mode. We switch to Library Systems Specialist mode for the next exercise.</Text>
-</Comment>
 <Heading>
 <Text id="0623">Using UnknownPlug</Text>
 </Heading>
-<NumberedItem>
-<Text id="0624">To switch modes, click <Menu>File--&gt;Preferences--&gt;Mode</Menu> and change to <b>Library Systems Specialist</b>. Note from the description that appears that you need to be able to formulate regular expressions to use this mode fully. That is what we do below.</Text>
-</NumberedItem>
+<Comment>
+<Text id="0618">In this section we incorporate the MIDI files. Greenstone has no MIDI plugin (yet). But that doesn't mean you can't use MIDI files! </Text>
+</Comment>
 <NumberedItem>
 <Text id="0627"><b>UnknownPlug</b> is a useful generic plugin. It knows nothing about any given format but can be tailored to process particular document types--like MIDI--based on their filename extension, and set basic metadata.</Text>
+<Text id="0627a">In the <b>Document Plugins</b> section of the <b>Design</b> panel:</Text>
 <BulletList>
 <Bullet>
@@ -1711,4 +1695,16 @@
 <Text id="0634">Cleaning up a title browser using regular expressions</Text>
 </Heading>
+<Comment>
+<Text id="0618a">We now clean up the <i>titles a-z</i> browser.</Text>
+</Comment>
+<Comment>
+<Text id="0621">To do this we must put the Librarian Interface into a different mode. The interface supports four levels of user: Library Assistants, who can add documents and metadata to collections, and create new ones whose structure mirrors that of existing collections; Librarians, who can, in addition, design new collections, but cannot use specialist IT features (e.g. regular expressions); Library Systems Specialists, who can use all design features, but cannot perform troubleshooting tasks (e.g. interpreting debugging output from Perl programs); and Experts, who can perform all functions.</Text>
+</Comment>
+<Comment>
+<Text id="0622">So far you have mostly been operating in Librarian mode. We switch to Library Systems Specialist mode for the next exercise.</Text>
+</Comment>
+<NumberedItem>
+<Text id="0624">To switch modes, click <Menu>File--&gt;Preferences--&gt;Mode</Menu> and change to <b>Library Systems Specialist</b>. Note from the description that appears that you need to be able to formulate regular expressions to use this mode fully. That is what we do below.</Text>
+</NumberedItem>
 <NumberedItem>
 <Text id="0635">Next we return to our <i>titles a-z</i> browser and clean it up. The aim is to amalgamate variants of titles by stripping away extraneous text. For example, we would like to treat "ANTHOLOGY 1", "ANTHOLOGY 2" and "ANTHOLOGY 3" the same for grouping purposes. To achieve this:</Text>
@@ -1747,15 +1743,15 @@
 </Heading>
 <NumberedItem>
-<Text id="0648">Re-Edit your <b>VList</b> format statement to be the following</Text>
-<Format>&lt;td valign=top&gt;<br/> 
-{If}{[numleafdocs],[link][icon][/link]}<br/> 
-{If}{[dc.Format] eq 'Lyrics',[link]_iconlyrics_[/link]}<br/> 
-{If}{[dc.Format] eq 'Discography',[link]_icondisc_[/link]}<br/> 
-{If}{[dc.Format] eq 'Tablature',[link]_icontab_[/link]}<br/> 
-{If}{[dc.Format] eq 'MARC',[link]_iconmarc_[/link]}<br/> 
-{If}{[dc.Format] eq 'Images',[srclink][thumbicon][/srclink]}<br/> 
-{If}{[dc.Format] eq 'Supplementary',[srclink][srcicon][/srclink]}<br/> 
-{If}{[dc.Format] eq 'Audio',[srclink]{If}{[FileFormat] eq 'MIDI',_iconmidi_,_iconmp3_}[/srclink]}<br/> 
-&lt;/td&gt;<br/> 
+<Text id="0648">Re-Edit your <b>VList</b> format statement to be the following (in <Menu>Design--&gt;Format Features</Menu>)</Text>
+<Format><highlight>&lt;td valign=top&gt;</highlight><br/> 
+<highlight>{If}{[numleafdocs],[link][icon][/link]}</highlight><br/> 
+<highlight>{If}{[dc.Format] eq 'Lyrics',[link]_iconlyrics_[/link]}</highlight><br/> 
+<highlight>{If}{[dc.Format] eq 'Discography',[link]_icondisc_[/link]}</highlight><br/> 
+<highlight>{If}{[dc.Format] eq 'Tablature',[link]_icontab_[/link]}</highlight><br/> 
+<highlight>{If}{[dc.Format] eq 'MARC',[link]_iconmarc_[/link]}</highlight><br/> 
+<highlight>{If}{[dc.Format] eq 'Images',[srclink][thumbicon][/srclink]}</highlight><br/> 
+<highlight>{If}{[dc.Format] eq 'Supplementary',[srclink][srcicon][/srclink]}</highlight><br/> 
+<highlight>{If}{[dc.Format] eq 'Audio',[srclink]{If}{[FileFormat] eq 'MIDI',_iconmidi_,_iconmp3_}[/srclink]}</highlight><br/> 
+<highlight>&lt;/td&gt;</highlight><br/> 
 &lt;td&gt;<br/> 
 {If}{[numleafdocs],([numleafdocs])}<br/> 
@@ -1866,5 +1862,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0678">Add <b>PagedImgPlug</b> and switch on its <b>screenview</b> configuration option by checking the box. The source images we use were scanned at high resolution and are large files for a browser to download. The <i>screenview</i> option generates smaller screen-resolution images of each page when the collection is built.</Text>
+<Text id="0678">In <Menu>Design--&gt;DocumentPlugins</Menu>, add <b>PagedImgPlug</b>. Switch on its <b>screenview</b> configuration option by checking the box. The source images we use were scanned at high resolution and are large files for a browser to download. The <i>screenview</i> option generates smaller screen-resolution images of each page when the collection is built.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1890,5 +1886,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0686">Now add <b>AZCompactList</b> for <i>ex.Title</i> and <b>DateList</b> for <i>ex.Date</i>.</Text>
+<Text id="0686">Now add an <b>AZCompactList</b> classifier, setting its <b>metadata</b> option to <i>ex.Title</i>, and add a <b>DateList</b> classifier, setting its <b>metadata</b> option to <i>ex.Date</i>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1904,4 +1900,5 @@
 <Text id="0692">append</Text>
 <Format>{If}{[numleafdocs],&lt;td&gt;([numleafdocs] items)&lt;/td&gt;}</Format> 
+<Text id="0692a">and click <b>&lt;Replace Format&gt;</b>.</Text>
 <Comment>
 <Text id="0693">As a consequence of using the AZCompactList classifier, bookshelf icons appear when titles are browsed. This revised format statement has the effect of specifying in brackets how many items are contained within a bookshelf. It works by exploiting the fact that only bookshelf icons define [numleafdocs] metadata.</Text>
@@ -1916,5 +1913,15 @@
 <NumberedItem>
 <Text id="0696">Staying within the <b>Format Features</b> section of the <b>Design </b>panel, under "Choose Feature" select <b>DocumentText</b>. Its HTML format string is empty, triggering the default behaviour of displaying the document's plain text, or, if there is none, "This document has no text". Change this to:</Text>
-<Format>&lt;center&gt;<br/>  &lt;table width=_pagewidth_&gt;<br/>  &lt;tr&gt;<br/>  &lt;td valign=top&gt;[srclink][screenicon][/srclink]&lt;/td&gt;<br/>  &lt;td&gt;[Text]&lt;/td&gt;<br/>  &lt;/tr&gt;<br/>  &lt;/table&gt;<br/> &lt;/center&gt;</Format>
+<Format>
+&lt;center&gt;<br/>  
+&lt;table width=_pagewidth_&gt;<br/>  
+&lt;tr&gt;<br/>  
+&lt;td valign=top&gt;[srclink][screenicon][/srclink]&lt;/td&gt;<br/>  
+&lt;td&gt;[Text]&lt;/td&gt;<br/>  
+&lt;/tr&gt;<br/>  
+&lt;/table&gt;<br/> 
+&lt;/center&gt;
+</Format>
+<Text id="0692a">and click <b>&lt;Replace Format&gt;</b>.</Text>
 <Text id="0697">(available as niupepa\doc_tweak.txt)</Text>
 <Comment>
@@ -2005,5 +2012,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0722">Next, select <b>DocumentHeading</b> from the <b>Choose Feature</b> pull-down list and make its format statement (which is currently blank) read</Text>
+<Text id="0722">Next, select <b>DocumentHeading</b> from the <b>Choose Feature</b> pull-down list and change its format statement to: </Text>
 <Format>&lt;h3&gt;[Subject]&lt;/h3&gt;</Format> 
 <Comment>
@@ -2012,5 +2019,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0727">Finally, you will have noticed that where the document itself should appear, you see only <i>This document has no text</i>. To rectify this, select <b>DocumentText</b> in the <b>Choose Feature</b> pull-down list and use the following as its format statement (which is currently blank) (this text is in <i>doctxt_tweak.txt</i> in the <i>format_tweaks</i> folder mentioned earlier):</Text>
+<Text id="0727">Finally, you will have noticed that where the document itself should appear, you see only <i>This document has no text</i>. To rectify this, select <b>DocumentText</b> in the <b>Choose Feature</b> pull-down list and use the following as its format statement (this text is in <i>doctxt_tweak.txt</i> in the <i>format_tweaks</i> folder mentioned earlier):</Text>
 <Format>&lt;center&gt;&lt;table width=_pagewidth_ border=1&gt;<br/> 
 &lt;tr&gt;&lt;td colspan=2 align=center&gt;<br/> 
@@ -2023,4 +2030,5 @@
 &lt;tr&gt;&lt;td&gt;Rights:&lt;td&gt; [Rights]&lt;/td&gt;&lt;/tr&gt;<br/> 
 &lt;/table&gt;&lt;/center&gt;</Format> 
+<Text id="0727a">Click <b>&lt;Replace Format&gt;</b>.</Text>
 <Text id="0730">This format statement alters how the document view is presented. It includes a screen-sized version of the image that hyperlinks back to the original larger version available on the web. Factual information extracted from the image, such as width, height and type, is also displayed.</Text>
 </NumberedItem>
@@ -2102,5 +2110,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0756">Switch to the <b>Design</b> panel select <b>Document Plugins</b>. Remove <b>GAPlug </b>from the list of plug-ins and add <b>METSPlug</b>.</Text>
+<Text id="0756">Switch to the <b>Design</b> panel select <b>Document Plugins</b>. Remove <b>GAPlug </b>from the list of plug-ins and add <b>METSPlug</b>, with the default configuration options.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2135,5 +2143,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0766">Using the up and down arrows, <b>Move</b> the position of <b>DSpacePlug</b> to above <b>PDFPlug</b> and below <b>GAPlug</b>.</Text>
+<Text id="0766">Using the up and down arrows, <b>Move</b> the position of <b>DSpacePlug</b> to above <b>GAPlug</b> and below <b>ZIPPlug</b>.</Text>
 </NumberedItem>
 <NumberedItem>